package com.eactive.eai.agent.useDate;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.usedate.UseDateControlManager;
import com.eactive.eai.common.util.Logger;

public class RemoveUseDateControlCommand extends Command {
	private static final long serialVersionUID = 1L;

	public RemoveUseDateControlCommand() {
		super("RemoveUseDateControlCommand");
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		String key = (String) args;
		try {
			UseDateControlManager manager = UseDateControlManager.getInstance();
			manager.remove(key);
		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";
	}

}
